#ifndef _COMPRESSED_LOOP_H
#define _COMPRESSED_LOOP_H

#define CLOOP_HEADROOM 116

#define CLOOP_PROPERTY_OFFS64	(1<<0)
#define CLOOP_PROPERTY_DIFF	(1<<1)
#define CLOOP_PROPERTY_HOSTORDER	(1<<2)
#define CLOOP_PROPERTY_ALL	7

struct cloop_head
{
	char preamble[CLOOP_HEADROOM];
/** all 32 bit variables are stored in network byte order */
/** should be 0xJJNNSSSS (major, minor, subversion) 
    a value 0 causes autodetection of old 0.6x and 1.0 versions */
	u_int32_t cloop_version;
/** allow for cross-version compatibility
    bit 0: uses 8 bytes for each block-index entry instead of 4
    bit 1: stores block sizes rather than offsets
    bit 2: uses non-standard host byte order for 64-bit offsets
    bit 3-32: unused in this spec */
	u_int32_t property_flags;
/** allow for extra header fields in later versions */
	u_int32_t extension_bytes;
/** size of each uncompressed block */
	u_int32_t block_size;
/** number of blocks in file */
	u_int32_t num_blocks;
	u_int8_t  extension[0];
};

#endif /*_COMPRESSED_LOOP_H*/
